Package groovy.transform.stc

## Class ThirdParam

- java.lang.Object
- - groovy.transform.stc.ClosureSignatureHint
  - - groovy.transform.stc.SingleSignatureClosureHint
    - - groovy.transform.stc.PickAnyArgumentHint
      - - groovy.transform.stc.ThirdParam

- Direct Known Subclasses:
    `ThirdParam.Component`

      public class ThirdParam
      extends PickAnyArgumentHint

  A hint used to instruct the type checker to pick the third parameter type. For example:

  `public <T,U,V> def doWith(T first, U second, V third, @ClosureParams(ThirdParam.class) Closure c) { ... }`

  This class has several inner classes that also helps picking generic argument types instead of the parameter type.

  Since:
    2.3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ThirdParam.Component` | A hint used to instruct the type checker to pick the type of the component of the third parameter type, which is therefore expected to be an array, like in this example:
    `static class` | `ThirdParam.FirstGenericType` | A hint used to instruct the type checker to pick the first generic type of the third parameter type.
    `static class` | `ThirdParam.SecondGenericType` | A hint used to instruct the type checker to pick the second generic type of the third parameter type.
    `static class` | `ThirdParam.ThirdGenericType` | A hint used to instruct the type checker to pick the second generic type of the third parameter type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThirdParam()` |

  - ### Method Summary

    - ### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

      `getParameterTypes`

    - ### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

      `getClosureSignatures`

    - ### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

      `findClassNode, pickGenericType, pickGenericType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThirdParam

          public ThirdParam()